
QGIS Application - Bug report #15961

Escaping out of Dialog causes QGIS to crash

2016-12-08 02:46 PM - ramon .

Status: Closed

Priority: High

Assignee: Matthias Kuhn

Category: GUI

Affected QGIS version:2.18.7 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:Yes Copied to github as #: 23877

Description

Pressing Esc in at least one dialog can cause QGIS to crash.

The known case can be replicated as follows:

I have a layer (shape in this case) with the properties open. I double click on the Symbol to get the Symbol Selector. Then I want to get

out of the dialog and reach for Esc to close it. Nothing happens so I press Esc again and QGIS as well as the dialog closes up.

This is on Jessie, with 2.18.1.

There may be others, and if so, could they be added to this bug report.

Associated revisions

Revision aa0ce1cc - 2017-05-12 03:37 PM - Matthias Kuhn 

Fix double delete of symbol

Fix #15961

History

#1 - 2016-12-09 12:28 AM - Richard Duivenvoorde

Crash confirmed here in 2.18.1 on Debian Testing.

gdb bt below, I hope this is usefull?

src/gui/qgscollapsiblegroupbox.cpp: 365: (updateStyle) [0ms] groupbox: mLayerRenderingGroupBox style:  offset: left=0 top=3 top2=5

Thread 1 "qgis" received signal SIGSEGV, Segmentation fault.

0x0000000000000041 in ?? ()

(gdb) bt

#0  0x0000000000000041 in ?? ()

#1  0x00007ffff68f79ab in QgsCategorizedSymbolRendererV2Widget::cleanUpSymbolSelector (this=0x55556485e230,

container=0x555564a000b0)

    at /home/richard/dev/qgis/git/qgis218/src/gui/symbology-ng/qgscategorizedsymbolrendererv2widget.cpp:1014

#2  0x00007ffff6caad47 in QgsCategorizedSymbolRendererV2Widget::qt_static_metacall (_o=0x55556485e230,

_c=QMetaObject::InvokeMetaMethod, _id=14, _a=0x7fffffff9a00)

    at /home/richard/dev/qgis/git/qgis218/build/src/gui/symbology-ng/moc_qgscategorizedsymbolrendererv2widget.cxx:232
#3  0x00007ffff48cd660 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#4  0x00007ffff6ca281f in QgsPanelWidget::panelAccepted (this=0x555564a000b0, _t1=0x555564a000b0) at

/home/richard/dev/qgis/git/qgis218/build/src/gui/moc_qgspanelwidget.cxx:110

#5  0x00007ffff6c24db9 in QgsPanelWidget::acceptPanel (this=0x555564a000b0) at

/home/richard/dev/qgis/git/qgis218/src/gui/qgspanelwidget.cpp:100

#6  0x00007ffff6c24df0 in QgsPanelWidget::keyPressEvent (this=0x555564a000b0, event=0x7fffffff9f10) at

/home/richard/dev/qgis/git/qgis218/src/gui/qgspanelwidget.cpp:107

#7  0x00007ffff3c5b923 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#8  0x00007ffff3c0454c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#9  0x00007ffff3c0cf8f in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#10 0x00007ffff51df521 in QgsApplication::notify (this=0x7fffffffd290, receiver=0x555557673370, event=0x7fffffff9f10) at

/home/richard/dev/qgis/git/qgis218/src/core/qgsapplication.cpp:281

#11 0x00007ffff48b8f1d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#12 0x00007ffff3cab653 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#13 0x00007ffff3cabb63 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#14 0x00007ffff3c84908 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#15 0x00007ffff3cae502 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#16 0x00007fffec22e7f7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#17 0x00007fffec22ea60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#18 0x00007fffec22eb0c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#19 0x00007ffff48e9854 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#20 0x00007ffff3cae5d6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#21 0x00007ffff48b77ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#22 0x00007ffff48b7b55 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#23 0x00007ffff40e230c in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#24 0x00007ffff6c24bfe in QgsPanelWidget::openPanel (this=0x55556485e230, panel=0x555564a000b0) at

/home/richard/dev/qgis/git/qgis218/src/gui/qgspanelwidget.cpp:92

#25 0x00007ffff68f51da in QgsCategorizedSymbolRendererV2Widget::changeCategorizedSymbol (this=0x55556485e230) at

/home/richard/dev/qgis/git/qgis218/src/gui/symbology-ng/qgscategorizedsymbolrendererv2widget.cpp:580

#26 0x00007ffff6caac1e in QgsCategorizedSymbolRendererV2Widget::qt_static_metacall (_o=0x55556485e230,

_c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7fffffffab50)

    at /home/richard/dev/qgis/git/qgis218/build/src/gui/symbology-ng/moc_qgscategorizedsymbolrendererv2widget.cxx:218

#27 0x00007ffff48cd660 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#28 0x00007ffff42a3c72 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#29 0x00007ffff3fda5c3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#30 0x00007ffff3fdb944 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#31 0x00007ffff3fdba54 in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#32 0x00007ffff3c5ae80 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#33 0x00007ffff3c0454c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#34 0x00007ffff3c0cca7 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#35 0x00007ffff51df521 in QgsApplication::notify (this=0x7fffffffd290, receiver=0x55556486ad40, event=0x7fffffffb1d0) at

/home/richard/dev/qgis/git/qgis218/src/core/qgsapplication.cpp:281

#36 0x00007ffff48b8f1d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#37 0x00007ffff3c0accb in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#38 0x00007ffff3c861a9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#39 0x00007ffff3c84b5c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#40 0x00007ffff3cae502 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#41 0x00007fffec22e7f7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#42 0x00007fffec22ea60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

#43 0x00007fffec22eb0c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#44 0x00007ffff48e9854 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#45 0x00007ffff3cae5d6 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#46 0x00007ffff48b77ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#47 0x00007ffff48b7b55 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#48 0x00007ffff40e230c in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#49 0x00007ffff7519439 in QgisApp::showLayerProperties (this=0x555555fa5610, ml=0x555557a4c430) at

/home/richard/dev/qgis/git/qgis218/src/app/qgisapp.cpp:11439

#50 0x00007ffff74fcaa6 in QgisApp::layerProperties (this=0x555555fa5610) at /home/richard/dev/qgis/git/qgis218/src/app/qgisapp.cpp:6351

#51 0x00007ffff74c90af in QgisApp::layerTreeViewDoubleClicked (this=0x555555fa5610, index=...) at

/home/richard/dev/qgis/git/qgis218/src/app/qgisapp.cpp:460

#52 0x00007ffff7961af3 in QgisApp::qt_static_metacall (_o=0x555555fa5610, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0x7fffffffbdd0)

at /home/richard/dev/qgis/git/qgis218/build/src/app/moc_qgisapp.cxx:660

#53 0x00007ffff48cd660 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#54 0x00007ffff413b615 in QAbstractItemView::doubleClicked(QModelIndex const&) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#55 0x00007ffff41845fb in QTreeView::mouseDoubleClickEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#56 0x00007ffff3c5ba00 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#57 0x00007ffff401fc8e in QFrame::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#58 0x00007ffff4144ba3 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#59 0x00007ffff418646c in QTreeView::viewportEvent(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#60 0x00007ffff48b90a1 in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

#61 0x00007ffff3c0452c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#62 0x00007ffff3c0cca7 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#63 0x00007ffff51df521 in QgsApplication::notify (this=0x7fffffffd290, receiver=0x5555562d44e0, event=0x7fffffffc6a0) at

/home/richard/dev/qgis/git/qgis218/src/core/qgsapplication.cpp:281

#64 0x00007ffff48b8f1d in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

#65 0x00007ffff3c0accb in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**,

QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#66 0x00007ffff3c861a9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#67 0x00007ffff3c84b5c in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

#2 - 2016-12-09 12:31 AM - Richard Duivenvoorde

Also Master/QGIS3:

Qt5? generates bt itself? See below

rc/gui/qgscollapsiblegroupbox.cpp: 365: (updateStyle) [0ms] groupbox: mLayerRenderingGroupBox style:  offset: left=0 top=1 top2=4

QGIS died on signal 11[New LWP 4118]

[New LWP 4119]

[New LWP 4120]

[New LWP 4125]

[New LWP 4126]

[New LWP 4127]

[New LWP 4130]

[New LWP 4131]

[New LWP 4132]

[New LWP 4133]
[New LWP 4134]

[New LWP 4135]

[New LWP 4148]

[New LWP 4161]

[New LWP 4163]

[New LWP 4168]

[New LWP 4169]

[New LWP 4170]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

0x00007f3ff55e1e4b in __GI___waitpid (pid=4171, stat_loc=0x7ffc83ae5cd4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

29    ../sysdeps/unix/sysv/linux/waitpid.c: No such file or directory.

[Current thread is 1 (Thread 0x7f3fdc2d6200 (LWP 4117))]

#0  0x00007f3ff55e1e4b in __GI___waitpid (pid=4171, stat_loc=0x7ffc83ae5cd4, options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:29

        resultvar = 18446744073709551104

        sc_cancel_oldtype = 0

#1  0x000055d4aa3b9f09 in qgisCrash (signal=11) at /home/richard/dev/qgis/git/qgis/src/app/main.cpp:347

        status = 0

        pidstr = "--pid=4117\\000\\366?\\177\\000\\000\\364Z\\256\\203\\374\\177\\000\\000\\300[\\256\\203\\374\\177\\000" 

        gdbpid = 4171

        exename =

"/home/richard/apps/qgis3/master/debug/bin/qgis\\000\\000\\200\\000\\000\\000\\000\\000\\000\\000X\\353\\341\\253\\324U\\000\\000`\\\\\\256\\203\\374\\177\\000\\000P\\257ū\\324U\\000\\000\\005", '\\000' <repeats 15 times>, "\\210\\\\\\256\\203\\374\\177\\000\\000a\\316;\\377?\\177\\000\\000\\033\\000\\000\\000\\000\\000\\000\\000P\\257ū\\324U\\000\\000\\005", '\\000' <repeats 15 times>, "\\001\\000\\000\\000\\000\\000\\000\\000\\000\\350\\341\\253\\324U\\000\\000\\005\\000\\000\\000\\000\\000\\000\\000!", '\\000' <repeats 15 times>, "X\\353\\341\\253\\324U\\000\\000\\320[\\256\\203\\374\\177\\000\\000\\000+"...
        len = 46
#2  <signal handler called>
No locals.
#3  0x00007f3ffdc71087 in QgsCategorizedSymbolRendererWidget::cleanUpSymbolSelector (this=0x55d4b309af70, container=0x55d4b4481a00) at /home/richard/dev/qgis/git/qgis/src/gui/symbology-ng/qgscategorizedsymbolrendererwidget.cpp:948
        dlg = 0x55d4b4481a00
#4  0x00007f3ffe10319b in QgsCategorizedSymbolRendererWidget::qt_static_metacall (_o=0x55d4b309af70, _c=QMetaObject::InvokeMetaMethod, _id=12, _a=0x7ffc83ae6410) at /home/richard/dev/qgis/git/qgis/build/src/gui/symbology-ng/moc_qgscategorizedsymbolrendererwidget.cpp:308
        _t = 0x55d4b309af70
#5  0x00007f3ff6419c89 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5
No symbol table info available.
#6  0x00007f3ffe0f752f in QgsPanelW

03\\374\\177\\000\\000P\\257ū\\324U\\000\\000\\005", '\\000' <repeats 15 times>,

"\\210\\\\\\256\\203\\374\\177\\000\\000a\\316;\\377?\\177\\000\\000\\033\\000\\000\\000\\000\\000\\000\\000P\\257ū\\324U\\000\\000\\005",

'\\000' <repeats 15 times>,

"\\001\\000\\000\\000\\000\\000\\000\\000\\000\\350\\341\\253\\324U\\000\\000\\005\\000\\000\\000\\000\\000\\000\\000!", '\\000' <repeats 15

times>, "X\\353\\341\\253\\324U\\000\\000\\320[\\256\\203\\374\\177\\000\\000\\000+"...

        len = 46

#2  <signal handler called>

No locals.

#3  0x00007f3ffdc71087 in QgsCategorizedSymbolRendererWidget::cleanUpSymbolSelector (this=0x55d4b309af70,

container=0x55d4b4481a00) at /home/richard/dev/qgis/git/qgis/src/gui/symbology-ng/qgscategorizedsymbolrendererwidget.cpp:948

        dlg = 0x55d4b4481a00

#4  0x00007f3ffe10319b in QgsCategorizedSymbolRendererWidget::qt_static_metacall (_o=0x55d4b309af70,

_c=QMetaObject::InvokeMetaMethod, _id=12, _a=0x7ffc83ae6410) at

/home/richard/dev/qgis/git/qgis/build/src/gui/symbology-ng/moc_qgscategorizedsymbolrendererwidget.cpp:308

        _t = 0x55d4b309af70

#5  0x00007f3ff6419c89 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#6  0x00007f3ffe0f752f in QgsPanelWidget::panelAccepted (this=0x55d4b4481a00, _t1=0x55d4b4481a00) at

/home/richard/dev/qgis/git/qgis/build/src/gui/moc_qgspanelwidget.cpp:188

        _a = {0x0, 0x7ffc83ae6400}

#7  0x00007f3ffe00b92b in QgsPanelWidget::acceptPanel (this=0x55d4b4481a00) at

/home/richard/dev/qgis/git/qgis/src/gui/qgspanelwidget.cpp:100

No locals.

#8  0x00007f3ffe00b962 in QgsPanelWidget::keyPressEvent (this=0x55d4b4481a00, event=0x7ffc83ae6c40) at

/home/richard/dev/qgis/git/qgis/src/gui/qgspanelwidget.cpp:107

No locals.

#9  0x00007f3ff94ee8d7 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#10 0x00007f3ff94a6b2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#11 0x00007f3ff94afcb6 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5
No symbol table info available.

#12 0x00007f3ffc33ab85 in QgsApplication::notify (this=0x7ffc83ae9e80, receiver=0x55d4b28186f0, event=0x7ffc83ae6c40) at

/home/richard/dev/qgis/git/qgis/src/core/qgsapplication.cpp:297

        done = true

        __FUNCTION__ = "notify" 

#13 0x00007f3ff63ee090 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#14 0x00007f3ff950b28b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#15 0x00007f3ff94a6b2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#16 0x00007f3ff94ae2e1 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#17 0x00007f3ffc33ab85 in QgsApplication::notify (this=0x7ffc83ae9e80, receiver=0x55d4b44aafc0, event=0x7ffc83ae6c40) at

/home/richard/dev/qgis/git/qgis/src/core/qgsapplication.cpp:297

        done = true

        __FUNCTION__ = "notify" 

#18 0x00007f3ff63ee090 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#19 0x00007f3ff8f080f8 in QGuiApplicationPrivate::processKeyEvent(QWindowSystemInterfacePrivate::KeyEvent*) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#20 0x00007f3ff8f0d665 in QGuiApplicationPrivate::processWindowSystemEvent(QWindowSystemInterfacePrivate::WindowSystemEvent*) ()

from /usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#21 0x00007f3ff8eeb61b in QWindowSystemInterface::sendWindowSystemEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Gui.so.5

No symbol table info available.

#22 0x00007f3fdc0834e0 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5XcbQpa.so.5

No symbol table info available.

#23 0x00007f3ff29727f7 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#24 0x00007f3ff2972a60 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#25 0x00007f3ff2972b0c in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#26 0x00007f3ff64426df in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#27 0x00007f3ff63ec07a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

No symbol table info available.

#28 0x00007f3ff9694df7 in QDialog::exec() () from /usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5

No symbol table info available.

#29 0x00007f3ffe00b774 in QgsPanelWidget::openPanel (this=0x55d4b309af70, panel=0x55d4b4481a00) at

/home/richard/dev/qgis/git/qgis/src/gui/qgspanelwidget.cpp:92

        dlg = 0x55d4b449b200

        key = {static null = {<No data fields>}, d = 0x55d4b449c460}

        settings = <incomplete type>

        buttonBox = 0x55d4b4552660

#30 0x00007f3ffdc6eb6c in QgsCategorizedSymbolRendererWidget::changeCategorizedSymbol (this=0x55d4b309af70) at

/home/richard/dev/qgis/git/qgis/src/gui/symbology-ng/qgscategorizedsymbolrendererwidget.cpp:549

        newSymbol = 0x55d4b2db0af0

        dlg = 0x55d4b4481a00
#31 0x00007f3ffe1030b4 in QgsCategorizedSymbolRendererWidget::qt_static_metacall (_o=0x55d4b309af70,

_c=QMetaObject::InvokeMetaMethod, _id=0, _a=0x7ffc83ae7280) at

/home/richard/dev/qgis/git/qgis/build/src/gui/symbology-ng/moc_qgscategorizedsymbolrendererwidget.cpp:296

        _t = 0x55d4b309af70

#32 0x00007f3ff6419c89 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/x86_64-linux-gnu/libQt5Core.so.5

#3 - 2016-12-09 12:35 AM - Richard Duivenvoorde

- Subject changed from Escaping out of QGIS to Escaping out of Dialog causes QGIS to crash

#4 - 2016-12-26 07:23 AM - Pedro Venâncio

I can confirm this also in Windows. To replicate:

1) Add a shapefile / PostGIS layer;

2) Select the layer in TOC --> Layer Properties;

3) Style --> Categorized;

4) Column --> (choose one) --> Classify;

5) Double click on one Class symbol;

6) Click 'Esc/Escape' to close Symbol Selector window --->>> I get a crash here.

If I use 'Ok' or 'close' button, instead of 'Esc', then no problem.

This happens on QGIS 2.18.2 and master, but not on QGIS 2.14.10 (all from OSGeo4W 64bits), so it seems like a regression.

#5 - 2016-12-26 09:46 AM - Giovanni Manghi

- Affected QGIS version changed from 2.18.0 to 2.18.2

- OS version deleted (Jessie)

- Priority changed from High to Severe/Regression

- Target version changed from Future Release - High Priority to Version 2.18

- Operating System deleted (linux)

#6 - 2017-01-13 03:56 AM - Paul Day

I am seeing the same sort of problem in 64-bit QGIS 2.18.2 on Windows 7.

Reproducible in both new (unsaved) project and in existing projects.  Have tested with line and point vector layers.

Minidump occurs with Catagorised symbology from the Symbol Selector when pressing Esc then OK, or if Esc is pressed more than once.

#7 - 2017-02-28 02:23 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.2 to 2.18.4

Still true on 2.18.4

#8 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes
#9 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#10 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#11 - 2017-05-12 11:20 AM - Matthias Kuhn

- Description updated

- Assignee set to Matthias Kuhn

#12 - 2017-05-12 11:38 AM - Matthias Kuhn

Not reproducible on master

#13 - 2017-05-12 11:41 AM - Giovanni Manghi

Matthias Kuhn wrote:

Not reproducible on master

let me check it again.

#14 - 2017-05-12 12:02 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.4 to 2.18.7

Matthias Kuhn wrote:

Not reproducible on master

master ok now, 2.18.7 is NOT.

#15 - 2017-05-12 02:06 PM - Giovanni Manghi

Giovanni Manghi wrote:

Matthias Kuhn wrote:

Not reproducible on master

master ok now, 2.18.7 is NOT.

PR here

https://github.com/qgis/QGIS/pull/4542

#16 - 2017-05-12 03:37 PM - Anonymous
- % Done changed from 0 to 100

- Status changed from Open to Closed

Applied in changeset commit:qgis|aa0ce1cc672074bf42a86f1ebd9fd4dcba20257a.

#17 - 2017-05-12 03:38 PM - Giovanni Manghi

- Resolution set to fixed/implemented
